Bug 1767018 - Chrome: Modal dialog displayed when logging in with bad password instead of "Login failed" message
Summary: Chrome: Modal dialog displayed when logging in with bad password instead of "...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.13
Assignee: Dávid Halász
QA Contact: John Dupuy
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1632718
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-30 13:53 UTC by Satoe Imaishi
Modified: 2019-12-03 06:55 UTC (History)
12 users (show)

Fixed In Version: 5.10.13.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1632718
Environment:
Last Closed: 2019-12-03 06:55:43 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4047 None None None 2019-12-03 06:55:50 UTC

Comment 1 CFME Bot 2019-11-11 14:20:05 UTC
New commit detected on ManageIQ/manageiq-api/hammer:

https://github.com/ManageIQ/manageiq-api/commit/af4936f75e349760111bdca03b070f3a244f7e89
commit af4936f75e349760111bdca03b070f3a244f7e89
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Thu Jan 17 09:11:02 2019 -0500
Commit:     Brandon Dunne <brandondunne@hotmail.com>
CommitDate: Thu Jan 17 09:11:02 2019 -0500

    Merge pull request #542 from skateman/ui-login-basic

    Do not request for basic auth if the auth_requester is set to UI

    (cherry picked from commit 80ad5a0e666eb737d0639d653e084c10717a6d03)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1767018

 app/controllers/api/base_controller/authentication.rb | 6 +-
 1 file changed, 4 insertions(+), 2 deletions(-)

Comment 2 John Dupuy 2019-11-20 16:12:38 UTC
Verified in CFME 5.10.13.0

Steps of verification:
1) Try to login to appliance with google chrome browser with incorrect credentials
2) Verified that the chrome modal did not appear

Comment 4 errata-xmlrpc 2019-12-03 06:55:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4047


Note You need to log in before you can comment on or make changes to this bug.